# Open Build Service related scripts

These scripts are used to update the KDE unstable packages on the openSUSE Build Service, namely the [core Plasma and Frameworks packages](https://build.opensuse.org/project/show/KDE:Unstable:Frameworks), the [applications part of the Release Service](https://build.opensuse.org/project/show/KDE:Unstable:Applications), and [other KDE applications](https://build.opensuse.org/project/show/KDE:Unstable:Extra).

- `update_unstable.py` is the Python script which checks the repositories (configuration in `config/repo_config.json`) and compares the latest known git revision hash with the one stored (`data/obs_repo_cache.json`) and then signals the OBS to update the checkout and build them.
- `fix_broken.sh` is a bash script which checks the state of the OBS in case there were issues with the git checkout and prods the service to do it again.

## License

All scripts are licensed with a BSD 3 clause license.
